Skip to main content
PUT
/
orgs
/
{orgId}
/
agents
/
{agentId}
/
security-policy
cURL
curl --request PUT \
  --url https://api.useanima.sh/v1/orgs/{orgId}/agents/{agentId}/security-policy \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "policy": {
    "scanLevel": "off",
    "injectionScanEnabled": false,
    "autoApproveBelow": "medium",
    "allowedDomains": [],
    "blockedPatterns": [],
    "rateLimitOverrides": {
      "emailsPerHour": 1,
      "smsPerHour": 1
    }
  }
}
'
{
  "agentId": "<string>",
  "policy": {
    "scanLevel": "off",
    "injectionScanEnabled": false,
    "autoApproveBelow": "medium",
    "allowedDomains": [],
    "blockedPatterns": [],
    "rateLimitOverrides": {
      "emailsPerHour": 1,
      "smsPerHour": 1
    }
  }
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier (from the URL path)

agentId
string
required

Agent identifier to update the policy for

Body

application/json

Input for updating an agent security policy

policy
object
required

Updated security policy configuration

Response

200 - application/json

OK

Result of a security policy update

agentId
string
required

Agent identifier the policy was applied to

policy
object
required

The updated security policy